<!--
In this file, print the names of the people that have pets and,
as a sublist, the names of their pets.

This time without the pseudocode, show a list of lists
that contains the people that owns pets which you can
determine by the length of the person.pets collection.

Here's that structure of the lists, again, for you
to look at.

<ul>
  <li>
    Person name
    <ul>
      <li>Pet 1 name</li>
      <li>Pet 2 name</li>
      ... more pets ...
    </ul>
  </li>
  ... more people ...
</ul>
-->
{% extends 'base.html' %}
{% load static %}

  <title>{% block title %}Problem 41{% endblock title %}</title>

{% block content %}
  <main>
    <h1>Pet owners</h1>
    <ul>
      {% for person in people %}
        {% if person.pets.count > 0 %}
          <li>
            {{ person.name }}
            <ul>
              {% for pet in person.pets.all %}
                <li>{{ pet.name }}</li>
              {% endfor %}
            </ul>
          </li>
        {% endif %}
      {% endfor %}
    </ul>
  </main>
{% endblock content %}

